---
sidebar_position: 2
description: Upload file to the folder and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Upload file to the folder
 Upload local file to the folder



`Function UploadFileToFolder(Val URL, Val Name, Val File, Val FolderID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | Name | --title | String | &#x2714; | File name with extension |
  | File | --file | String, BinaryData | &#x2714; | File for upload |
  | FolderID | --folderid | String | &#x2714; | Folder identifier |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [disk.folder.uploadfile](https://dev.1c-bitrix.ru/rest_help/disk/folder/disk_folder_uploadfile.php)

Parameters with Binary data type can also accept file paths on disk and URLs
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Filename2 = "Picture2.jpg";
    Name      = "Picture1.jpg";

    Image2 = "https://hut.openintegrations.dev/test_data/picture.jpg"; // Local path, URL or Binary Data
    Image  = "https://hut.openintegrations.dev/test_data/picture2.jpg"; // Local path, URL or Binary Data

    DestinationID = "48402";

    URL = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";

    Result = OPI_Bitrix24.UploadFileToFolder(URL, Filename2, Image2, DestinationID);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Result = OPI_Bitrix24.UploadFileToFolder(URL, Name, Image, DestinationID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 UploadFileToFolder \
             --url "b24-ar17wx.bitrix24.by" \
             --title "Imortant doc.docx" \
             --file "https://hut.openintegrations.dev/test_data/document.docx" \
             --folderid 48478 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 UploadFileToFolder ^
             --url "b24-ar17wx.bitrix24.by" ^
             --title "Imortant doc.docx" ^
             --file "https://hut.openintegrations.dev/test_data/document.docx" ^
             --folderid 48478 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "ID": 48468,
  "NAME": "Picture1.jpg",
  "CODE": null,
  "STORAGE_ID": "3",
  "TYPE": "file",
  "PARENT_ID": "48456",
  "DELETED_TYPE": 0,
  "GLOBAL_CONTENT_VERSION": 1,
  "FILE_ID": 32886,
  "SIZE": "805191",
  "CREATE_TIME": "2025-12-10T19:54:36+00:00",
  "UPDATE_TIME": "2025-12-10T19:54:36+00:00",
  "DELETE_TIME": null,
  "CREATED_BY": "1",
  "UPDATED_BY": "1",
  "DELETED_BY": null,
  "DOWNLOAD_URL": "https://b24-ar17wx.bitrix24.by/rest/download.json?auth=66dc3969006e9f06006b12e4000000010000074362ff3792167a01ecb206c3034befae&token=disk%7CaWQ9NDg0NjgmXz1acFlYakREWjNPTU5CdDdoVTdWbENOSEQwYU9WWTd2dQ%3D%3D%7CImRvd25sb2FkfGRpc2t8YVdROU5EZzBOamdtWHoxYWNGbFlha1JFV2pOUFRVNUNkRGRvVlRkV2JFTk9TRVF3WVU5V1dUZDJkUT09fDY2ZGMzOTY5MDA2ZTlmMDYwMDZiMTJlNDAwMDAwMDAxMDAwMDA3NDM2MmZmMzc5MjE2N2EwMWVjYjIwNmMzMDM0YmVmYWUi.TYK93ha5ji0PvX94HZyPSSpECcHU7%2FgzN0cPcxhPF6E%3D",
  "DETAIL_URL": "https://b24-ar17wx.bitrix24.by/docs/file/New catalog/Picture1.jpg"
 }
}
```
